[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

somewhat too strict RUN_DEPENDS



While scanning the ports tree, I've noticed that a LOT of ports don't
mention a spec for RUN_DEPENDS.

Let me remind porters that NO SPEC defaults to CURRENT VERSION IN THE PORTS
TREE AND NOTHING ELSE.  E.g., this pretty much locks a binary package as
ONLY usable with the package it was built with.

I'm rather sure this is completely stupid in at least some ports cases...

Porters, you know who you are. Please review the dependencies for the ports
you maintain. Check that programs like python, convert (from ImageMagick)
or wish8.3, to mention a few, might often happen to *work* even if you're
not using the very latest version...